Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlpi.server.catalog
Interface EJBCatalog

public interface EJBCatalog
extends javax.ejb.EJBObject

Provides a catalog of EJBs installed on the application server.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EJBCatalogHome`

Method Summary
`java.util.List` | `getEJBDescriptors()` List the EJBs installed in the previously specified JNDI context.
`java.util.List` | `getEJBNames()` List the JNDI names of EJBs installed in the previously specified JNDI context.
`boolean` | `inspectAlways()` Return whether the JNDI names and EJBMetaData are regenerated on every call.
`void` | `ping()` A "dummy" method for the client to ping.
`void` | `setCatalogRoot(java.lang.String root)` Deprecated. This method is no longer supported.
`void` | `setInspectAlways(boolean inspectAlways)` Specify whether to regenerate the JNDI names and EJBMetaData on every call to `getEJBNames()` and `getEJBDescriptors()`.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### ping

    public void ping()
              throws java.rmi.RemoteException

  A "dummy" method for the client to ping. This is to avoid a WLS "feature" that will dereference a remote object that hasn't been referenced for a certain amound of time, this causing the client to die. This method is idempotent.

### getEJBNames

    public java.util.List getEJBNames()
                               throws WorkflowException,
                                      java.rmi.RemoteException

  List the JNDI names of EJBs installed in the previously specified JNDI context. The default implementation recursively iterates through all JNDI bindings within this context and builds a list containing the JNDI name of all EJBHome objects encountered. This method is idempotent.

  Returns:
    A list of JNDI names for installed EJB home interfaces.
  Throws:
    java.rmi.RemoteException - if a communication error occurs.
    WorkflowException -
  See Also:
    `setCatalogRoot(java.lang.String)`, `getEJBDescriptors()`

### getEJBDescriptors

    public java.util.List getEJBDescriptors()
                                     throws WorkflowException,
                                            java.rmi.RemoteException

  List the EJBs installed in the previously specified JNDI context. The default implementation recursively iterates through all JNDI bindings within this context and builds a list containing an EJBMetaData object for each EJBHome object encountered. This method is idempotent.

  Returns:
    A list of `javax.ejb.EJBMetaData` objects.
  Throws:
    java.rmi.RemoteException - if a communication error occurs.
    WorkflowException -
  See Also:
    `setCatalogRoot(java.lang.String)`, `getEJBNames()`

### setCatalogRoot

    public void setCatalogRoot(java.lang.String root)
                        throws java.rmi.RemoteException

  Deprecated. This method is no longer supported.
  Set the JNDI context to use when looking up installed EJBs.

  Parameters:
    `root` - JNDI name of context containing EJB bindings.
  Throws:
    java.rmi.RemoteException - if a communication error occurs.

### inspectAlways

    public boolean inspectAlways()
                          throws java.rmi.RemoteException

  Return whether the JNDI names and EJBMetaData are regenerated on every call. As of WebLogic Integration 7.0, this is a global setting. This method is idempotent.

  Returns:
    `true` - if the JNDI names and EJBMetaData are regenerated on every call to `getEJBNames()` and `getEJBDescriptors()`.
  Throws:
    java.rmi.RemoteException - if a communication error occurs.
  See Also:
    `setInspectAlways(boolean)`

### setInspectAlways

    public void setInspectAlways(boolean inspectAlways)
                          throws java.rmi.RemoteException

  Specify whether to regenerate the JNDI names and EJBMetaData on every call to `getEJBNames()` and `getEJBDescriptors()`. As of WebLogic Integration 7.0, this is a global setting. This method is idempotent.

  Parameters:
    `inspectAlways` - `true` to disable server-side caching of JNDI names and EJBMetaData.
  Throws:
    java.rmi.RemoteException - if a communication error occurs.
  See Also:
    `inspectAlways()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)